# API Reference <a name="API Reference"></a>

## Constructs <a name="Constructs"></a>

### FlywayConstruct <a name="flywaymigrationconstruct.FlywayConstruct"></a>

#### Initializer <a name="flywaymigrationconstruct.FlywayConstruct.Initializer"></a>

```typescript
import { FlywayConstruct } from 'flywaymigrationconstruct'

new FlywayConstruct(scope: Construct, id: string, vpc: IVpc, subnet: SubnetSelection, securityGroups: object, bucket: IBucket, migrationBucketSecretArn: string)
```

##### `scope`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.parameter.id"></a>

- *Type:* `string`

---

##### `vpc`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.parameter.vpc"></a>

- *Type:* [`@aws-cdk/aws-ec2.IVpc`](#@aws-cdk/aws-ec2.IVpc)

---

##### `subnet`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.parameter.subnet"></a>

- *Type:* [`@aws-cdk/aws-ec2.SubnetSelection`](#@aws-cdk/aws-ec2.SubnetSelection)

---

##### `securityGroups`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.parameter.securityGroups"></a>

- *Type:* `object`

---

##### `bucket`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.parameter.bucket"></a>

- *Type:* [`@aws-cdk/aws-s3.IBucket`](#@aws-cdk/aws-s3.IBucket)

---

##### `migrationBucketSecretArn`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.parameter.migrationBucketSecretArn"></a>

- *Type:* `string`

---



#### Properties <a name="Properties"></a>

##### `bucketCodeArn`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.property.bucketCodeArn"></a>

- *Type:* `string`

---

##### `flywayLambdaMigration`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.property.flywayLambdaMigration"></a>

- *Type:* [`@aws-cdk/aws-lambda.Function`](#@aws-cdk/aws-lambda.Function)

---

##### `handler`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.property.handler"></a>

- *Type:* `string`

---

##### `idLambdaCode`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.property.idLambdaCode"></a>

- *Type:* `string`

---

##### `objectCodeKey`<sup>Required</sup> <a name="flywaymigrationconstruct.FlywayConstruct.property.objectCodeKey"></a>

- *Type:* `string`

---





