import * as ec2 from '@aws-cdk/aws-ec2';
import * as awsLambda from '@aws-cdk/aws-lambda';
import * as s3 from '@aws-cdk/aws-s3';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export declare class FlywayConstruct extends cdk.Construct {
    /**
     * @stability stable
     */
    flywayLambdaMigration: awsLambda.Function;
    /**
     * @stability stable
     */
    handler: string;
    /**
     * @stability stable
     */
    idLambdaCode: string;
    /**
     * @stability stable
     */
    bucketCodeArn: string;
    /**
     * @stability stable
     */
    objectCodeKey: string;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, vpc: ec2.IVpc, subnet: ec2.SubnetSelection, securityGroups: [ec2.SecurityGroup], bucket: s3.IBucket, migrationBucketSecretArn: string);
}
